## dpmb 0~2017.07.16

=== Makefile ===
BASE=debian-paketmanagement
DEFAULTDEPENDENCIES=*.adoc */*.adoc */*/*.adoc Makefile version.adoc *-docinfo.xml
DEFAULTOPTIONS=-L
DOCTORDEFAULTOPTIONS=-a experimental -a toc -a toclevels=4
FORMATS=online.html allinone.html chunked epub pdf mobi

all: $(FORMATS)
html: online.html allinone.html doctor.html chunked

allinone.html: $(BASE).allinone.html
%.allinone.html: $(DEFAULTDEPENDENCIES)
	# There seems to be a bug in the images macro if data-uri is
	# set and images are in subdirectories. Hence we override the
	# original macros with fixed ones.
	asciidoc $(VERBOSE) -f asciidoc-macros/data-uri-fixup.conf -a data-uri -o $@ $(BASE).adoc

online.html: $(BASE).online.html
%.online.html: %.adoc $(DEFAULTDEPENDENCIES)
	a2x $(VERBOSE) -f xhtml $(DEFAULTOPTIONS) $<
	mv $(VERBOSE) $(BASE).html $@

chunked: $(BASE).chunked/index.html
%.chunked/index.html: %.adoc $(DEFAULTDEPENDENCIES)
	a2x $(VERBOSE) -f chunked $(DEFAULTOPTIONS) $<

epub: $(BASE).epub
%.epub: %.adoc $(DEFAULTDEPENDENCIES)
	a2x $(VERBOSE) -f epub $(DEFAULTOPTIONS) $<

pdf: $(BASE).pdf
%.pdf: %.adoc $(DEFAULTDEPENDENCIES)
	a2x $(VERBOSE) -f pdf $(DEFAULTOPTIONS) $<

mobi: $(BASE).mobi
%.mobi: %.epub
	ebook-convert $< $@

lit: $(BASE).lit
%.lit: %.epub
	ebook-convert $< $@

fb2: $(BASE).fb2
%.fb2: %.epub
	ebook-convert $< $@

clean: deployclean
	rm -rvf version.adoc *.html *.epub *.epub.d $(BASE).xml *.fls *.log *.pdf *.css *.tex *.mobi *.lit *.fb2 $(BASE).chunked

deployclean:
	rm -rvf deploy/*/ deploy/$(BASE)* deploy/*.html

xmllint:
	asciidoc -d book -b docbook $(BASE).adoc
	xmllint $(BASE).xml

verbose: VERBOSE=-v -v
verbose: all

doctor.html: $(BASE).doctor.html
%.doctor.html: $(DEFAULTDEPENDENCIES)
	asciidoctor $(DOCTORDEFAULTOPTIONS) -o $@ $(BASE).adoc

version.adoc: debian-paketmanagement.adoc *-docinfo.xml */*.adoc */*/*.adoc Makefile
	echo ":revdate: "$$(date --utc --date="@$${SOURCE_DATE_EPOCH:-$$(date +%s)}"  '+%FT%T%:z') > version.adoc
	echo -n ":revnumber: " >> version.adoc; \
	if [ -d .git ] && `which git >/dev/null`; then \
	    git describe --tags --always >> version.adoc; \
	elif [ -d debian/changelog ] && `which dpkg-parsechangelog >/dev/null`; then \
	    dpkg-parsechangelog | fgrep Version | awk '{print $$2}' >> version.adoc; \
	fi

test: test-epub
test-epub: $(BASE).epub
	epubcheck $(BASE).epub

# Formerly used for divshot.io, but rather generic
deploy: all version.adoc
	for suffix in $(FORMATS); do cp -pvfr $(BASE).$$suffix deploy/; done
	for i in `find . -name '*.png' -not -path './deploy/*'`; do \
	    mkdir -pv `dirname "deploy/$$i"`; \
	    cp -pv "$$i" "deploy/$$i"; \
	done
	cd deploy && asciidoc index.adoc

## dpmb 0~2016.06.30

=== debian/changelog ===
dpmb (0~2016.06.30) unstable; urgency=medium

  * New snapshot
    + Supports the SOURCE_DATE_EPOCH specification for reproducible
      builds.
  * Recommend/Suggest virtual package pdf-viewer instead of the
    non-existent pdf-reader.
  * debian/copyright: Replace http:// with https:// where
    applicable. Issues reported by DUCK.
  * debian/rules: Replace "$(MAKE)" with "dh_auto_build --" to properly
    pass number of parallel jobs to upstream build system.
  * Use proper capitalization of "EPUB" in long package description.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Jun 2016 19:29:32 +0200

dpmb (0~2016.04.24) unstable; urgency=low

  * Initial upload (Closes: #821328)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Apr 2016 02:03:50 +0200

=== debian/control ===
Source: dpmb
Section: doc
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Frank Hofmann <frank.hofmann@efho.de>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: asciidoc,
                     calibre,
                     dblatex,
                     texlive-lang-german,
                     xmlto
Standards-Version: 3.9.8
Homepage: https://www.dpmb.org/
Vcs-Git: https://github.com/dpmb/dpmb.git
Vcs-Browser: https://github.com/dpmb/dpmb

Package: debian-paketmanagement-buch
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser | pdf-viewer | fbreader | calibre
Suggests: www-browser, pdf-viewer, fbreader | calibre
Description: book about Debian package management written in German
 This package contains the book "Debian Paketmanagement" (aka DPMB,
 German edition) by Axel Beckert and Frank Hofmann as a single HTML
 page, as a PDF document and as an e-book in EPUB format.
 .
 The book is not yet finished, so some chapters are incomplete or not
 yet proof-read.

## dpmb 0~2017.01.16

=== debian/changelog ===
dpmb (0~2017.01.16) unstable; urgency=low

  * New snapshot.
  * Add build-dependency on "asciidoc-dblatex (>= 8.6.9-5) | asciidoc (<=
    8.6.9-3.1)" to fix FTBFS with newer asciidoc packages due to other
    packages now containing the required files for using asciidoc with
    dblatex. (Closes: #851018)

 -- Axel Beckert <abe@debian.org>  Mon, 16 Jan 2017 00:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Frank Hofmann <frank.hofmann@efho.de>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: asciidoc,
+                     asciidoc-dblatex (>= 8.6.9-5) | asciidoc (<= 8.6.9-3.1),
                      calibre,
                      dblatex,
                      texlive-lang-german,

## dpmb 0~2017.07.16

=== debian/changelog ===
dpmb (0~2017.07.16) unstable; urgency=medium

  * New snapshot.

 -- Axel Beckert <abe@debian.org>  Sun, 16 Jul 2017 20:03:58 +0200

dpmb (0~2017.07.04) unstable; urgency=medium

  * New snapshot.
  * debian/copyright: Add stanza for new file deploy/cc-88x31.png.
  * debian/copyright: Use Github repo instead of website as "Source".
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * debian/copyright: Replace https://i.creativecommons.org/ with
    https://licensebuttons.net/.

 -- Axel Beckert <abe@debian.org>  Tue, 04 Jul 2017 15:19:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      dblatex,
                      texlive-lang-german,
                      xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.dpmb.org/
 Vcs-Git: https://github.com/dpmb/dpmb.git
 Vcs-Browser: https://github.com/dpmb/dpmb

## dpmb 0~2018.12.16

=== debian/changelog ===
dpmb (0~2018.12.16) unstable; urgency=medium

  * New snapshot
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)
  * Alternatively recommend/suggest mupdf (now also an EPUB reader).
  * Set "Rules-Requires-Root: no".

 -- Axel Beckert <abe@debian.org>  Sun, 16 Dec 2018 02:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
                      dblatex,
                      texlive-lang-german,
                      xmlto
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://www.dpmb.org/
 Vcs-Git: https://github.com/dpmb/dpmb.git
 Vcs-Browser: https://github.com/dpmb/dpmb
+Rules-Requires-Root: no
 
 Package: debian-paketmanagement-buch
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: www-browser | pdf-viewer | fbreader | calibre
-Suggests: www-browser, pdf-viewer, fbreader | calibre
+Recommends: www-browser | mupdf | pdf-viewer | fbreader | calibre
+Suggests: www-browser, mupdf | pdf-viewer, mupdf | fbreader | calibre
 Description: book about Debian package management written in German
  This package contains the book "Debian Paketmanagement" (aka DPMB,
  German edition) by Axel Beckert and Frank Hofmann as a single HTML

## dpmb 0~2019.03.01

=== debian/changelog ===
dpmb (0~2019.03.01) unstable; urgency=medium

  * New snapshot
    + Contains updates wrt. what will be in Buster and what not.
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 01 Mar 2019 23:46:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      dblatex,
                      texlive-lang-german,
                      xmlto
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.dpmb.org/
 Vcs-Git: https://github.com/dpmb/dpmb.git
 Vcs-Browser: https://github.com/dpmb/dpmb

=== debian/rules ===
#!/usr/bin/make -f

P=$(shell dh_listpackages)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- allinone.html pdf epub mobi

override_dh_auto_install:
	# Install all images manually for now.
	for i in `find . '(' '(' -name deploy -o -name debian ')' -prune -o -name '*.png' ')' -type f`; do \
	    mkdir -pv `dirname "debian/tmp/usr/share/doc/$(P)/$$i"`; \
	    cp -pv "$$i" "debian/tmp/usr/share/doc/$(P)/$$i"; \
	done

override_dh_compress:
	dh_compress -X.pdf -X.mobi

# Don't run epubcheck during build to avoid tons of additional
# build-dependencies. Build-profiles would be an option, but are only
# supported from Debian 8 Jessie onwards.
override_dh_auto_test:

## dpmb 0~2019.03.01+nmu1

=== debian/changelog ===
dpmb (0~2019.03.01+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:02:39 +0100

## dpmb 0~2021.02.07

=== debian/changelog ===
dpmb (0~2021.02.07) unstable; urgency=medium

  * New snapshot
    + Removes GitBook support. (Wasn't used in the Debian package anyways.)
    + Fixes image embedding via asciidoc-macros/*.conf with Asciidoc-Py3.
    + Many updates for the Bullseye stable release. (Closes: #970063)
    + Improved documentation about Debian LTS and Extended LTS.
  * Mark package as "Multi-Arch: foreign" as recommended by the Multi-Arch
    Hinter.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + debian/rules: Drop --parallel, it's default now.
  * Drop override_dh_auto_install. Images are not needed as they are
    embedded as data:-URLs. Fixes bailing out of dh_missing.
  * Declare compliance with Debian Policy 4.5.1. No other changes needed.
  * Update copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Sun, 07 Feb 2021 23:07:01 +0100

## dpmb 0~2021.03.01

=== debian/changelog ===
dpmb (0~2021.03.01) unstable; urgency=medium

  * New snapshot
    + Drop mentioning Emdebian.
    + Distinguish between Raspbian and Raspberry Pi OS.
    + Some more content fixes related to Bullseye.

 -- Axel Beckert <abe@debian.org>  Mon, 01 Mar 2021 00:56:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Frank Hofmann <frank.hofmann@efho.de>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: asciidoc,
                      asciidoc-dblatex (>= 8.6.9-5) | asciidoc (<= 8.6.9-3.1),
                      calibre,
                      dblatex,
                      texlive-lang-german,
                      xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.dpmb.org/
 Vcs-Git: https://github.com/dpmb/dpmb.git
 Vcs-Browser: https://github.com/dpmb/dpmb
@@ -18,6 +18,7 @@
 
 Package: debian-paketmanagement-buch
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: www-browser | mupdf | pdf-viewer | fbreader | calibre
 Suggests: www-browser, mupdf | pdf-viewer, mupdf | fbreader | calibre

=== debian/rules ===
#!/usr/bin/make -f

P=$(shell dh_listpackages)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- allinone.html pdf epub mobi

override_dh_compress:
	dh_compress -X.pdf -X.mobi

# Don't run epubcheck during build to avoid tons of additional
# build-dependencies. Build-profiles would be an option, but are only
# supported from Debian 8 Jessie onwards.
override_dh_auto_test:

## dpmb 0~2023.03.11

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,10 @@
 %.doctor.html: $(DEFAULTDEPENDENCIES)
 	asciidoctor $(DOCTORDEFAULTOPTIONS) -o $@ $(BASE).adoc
 
+doctor.pdf: $(BASE).doctor.pdf
+%.doctor.pdf: $(DEFAULTDEPENDENCIES)
+	asciidoctor-pdf $(DOCTORDEFAULTOPTIONS) -o $@ $(BASE).adoc
+
 version.adoc: debian-paketmanagement.adoc *-docinfo.xml */*.adoc */*/*.adoc Makefile
 	echo ":revdate: "$$(date --utc --date="@$${SOURCE_DATE_EPOCH:-$$(date +%s)}"  '+%FT%T%:z') > version.adoc
 	echo -n ":revnumber: " >> version.adoc; \
@@ -74,6 +78,8 @@
 	epubcheck $(BASE).epub
 
 # Formerly used for divshot.io, but rather generic
+deployverbose: VERBOSE=-v -v
+deployverbose: deploy
 deploy: all version.adoc
 	for suffix in $(FORMATS); do cp -pvfr $(BASE).$$suffix deploy/; done
 	for i in `find . -name '*.png' -not -path './deploy/*'`; do \

=== debian/changelog ===
dpmb (0~2023.03.11) unstable; urgency=medium

  * The Debian 12 Bookworm Edition.
    + Covers non-free-firmware archive section.
    + Debian 9 Stretch is now ELTS.
  * Bracketize sole lintian override so far.
  * Add lintian override for very-long-line-length-in-source-file on
    binary file and handwritten Markdown files with a few long semantic
    HTML oneliners.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 11 Mar 2023 23:34:38 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                      dblatex,
                      texlive-lang-german,
                      xmlto
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.dpmb.org/
 Vcs-Git: https://github.com/dpmb/dpmb.git
 Vcs-Browser: https://github.com/dpmb/dpmb

## dpmb 0~2023.03.11build1

=== debian/changelog ===
dpmb (0~2023.03.11build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:25:24 +0000
